Constants
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.stubs.calls
Class Constants

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.stubs.calls.Constants

    public class Constants

extends java.lang.Object

Constants and utilities for interaction with the Executor service.

Author:
  Fabio Simeoni (University of Strathclyde)

Field Summary
`static java.lang.String` | `ACTIVATIONRECORD_NAME`
`static java.lang.String` | `ACTIVATIONRECORD_TYPE`
`static java.lang.String` | `ANNOTATION_PLUGIN_NAME` Annotation plugin's name.
`static java.lang.String` | `COMMON_NS` Common namespace.
`static java.lang.String` | `DEFAULT_PLUGIN_NAME` Default plugin's name.
`static java.lang.String` | `FACTORY_PT_NAME` Relative endpoint of the Factory port-type.
`static java.lang.String` | `JNDI_NAME` JNDI Base Name.
`static java.lang.String` | `METADATA_PLUGIN_NAME` Metadata plugin's name.
`static java.lang.String` | `NS` Namespace.
`static java.lang.String` | `PLUGIN_RPNAME` Name of the plugin RP of factory and view resources.
`static java.lang.String` | `SERVICE_CLASS` Service class.
`static java.lang.String` | `SERVICE_NAME` Service name.
`static java.lang.String` | `SINGLETON_FACTORY_ID` Singleton factory identifier.
`static java.lang.String` | `VIEW_PT_NAME` Relative endpoint of the Read Manager port-type.
`static java.lang.String` | `VIEW_RPNAME` Name of the View RP of view resources.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  Service name.

  See Also:
    Constant Field Values

### SERVICE_CLASS

    public static final java.lang.String SERVICE_CLASS

  Service class.

  See Also:
    Constant Field Values

### NS

    public static final java.lang.String NS

  Namespace.

  See Also:
    Constant Field Values

### COMMON_NS

    public static final java.lang.String COMMON_NS

  Common namespace.

  See Also:
    Constant Field Values

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

  JNDI Base Name.

  See Also:
    Constant Field Values

### FACTORY_PT_NAME

    public static final java.lang.String FACTORY_PT_NAME

  Relative endpoint of the Factory port-type.

  See Also:
    Constant Field Values

### VIEW_PT_NAME

    public static final java.lang.String VIEW_PT_NAME

  Relative endpoint of the Read Manager port-type.

  See Also:
    Constant Field Values

### SINGLETON_FACTORY_ID

    public static final java.lang.String SINGLETON_FACTORY_ID

  Singleton factory identifier.

  See Also:
    Constant Field Values

### METADATA_PLUGIN_NAME

    public static final java.lang.String METADATA_PLUGIN_NAME

  Metadata plugin's name.

  See Also:
    Constant Field Values

### ANNOTATION_PLUGIN_NAME

    public static final java.lang.String ANNOTATION_PLUGIN_NAME

  Annotation plugin's name.

  See Also:
    Constant Field Values

### DEFAULT_PLUGIN_NAME

    public static final java.lang.String DEFAULT_PLUGIN_NAME

  Default plugin's name.

  See Also:
    Constant Field Values

### PLUGIN_RPNAME

    public static final java.lang.String PLUGIN_RPNAME

  Name of the plugin RP of factory and view resources.

  See Also:
    Constant Field Values

### VIEW_RPNAME

    public static final java.lang.String VIEW_RPNAME

  Name of the View RP of view resources.

  See Also:
    Constant Field Values

### ACTIVATIONRECORD_TYPE

    public static java.lang.String ACTIVATIONRECORD_TYPE

### ACTIVATIONRECORD_NAME

    public static java.lang.String ACTIVATIONRECORD_NAME

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD